低危 Python 2.6.8/2.7.3/3.3.2 HTTP read_status HTTP Header 拒绝服务漏洞

CVE编号

CVE-2013-1752

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-06-04
漏洞描述
据发现,实现网络协议的多个Python标准库模块(例如httplib或smtplib)未能限制服务器响应的大小。恶意服务器可能导致客户端使用其中一个受影响的模块消耗过多的内存。

解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:http://www.python.org/
参考链接
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 redhat_6 python * Up to
(excluding)
0:2.6.6-64.el6
运行在以下环境
系统 redhat_7 python * Up to
(excluding)
0:2.7.5-34.el7
运行在以下环境
系统 suse_12 python-devel * Up to
(excluding)
2.7.9-20
运行在以下环境
系统 ubuntu_12.04.5_lts python2.7 * Up to
(excluding)
2.7.3-0ubuntu3.8
运行在以下环境
系统 ubuntu_14.04.6_lts python2.7 * Up to
(excluding)
2.7.6-8ubuntu0.2
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
阿里云安全产品覆盖情况